ruby-rdf ruby-rdf

rdf-trig

13 6 0

TriG reader/writer for RDF.rb

Dependencies

Package Locked Requirement Latest Status Changelog
Gems ebnf ~> 1.0 1.1.0

ebnf

EBNF is a Ruby parser for W3C EBNF and a parser generator for compliant LL(1) grammars.

This dependency is up-to-date. Congrats and keep going!

Gems json >= 0 2.1.0

json

This is a JSON implementation as a Ruby extension in C.

This dependency is up-to-date. Congrats and keep going!

Gems rdf ~> 1.99 2.2.6

rdf

RDF.rb is a pure-Ruby library for working with Resource Description Framework (RDF) data.

This dependency is not matching latest version. Please consider upgrading.

Gems rdf-turtle ~> 1.99 2.2.0

rdf-turtle

RDF::Turtle is an Turtle reader/writer for the RDF.rb library suite.

This dependency is not matching latest version. Please consider upgrading.

Gems rubinius ~> 2.0 2.0.1

rubinius

A meta-gem for all the Rubinius components that are provided as gems.

This dependency is up-to-date. Congrats and keep going!

Gems rubysl ~> 2.0 2.2.0

rubysl

Ruby 2.0+ standard library meta-spec. Install this spec to install the Ruby standard library on compliant Ruby implementations that provide Ruby 2.0+ compatibility.

This dependency is up-to-date. Congrats and keep going!

Package Locked Requirement Latest Status Changelog
Gems byebug >= 0 9.0.6

byebug

Byebug is a Ruby 2 debugger. It's implemented using the Ruby 2 TracePoint C API for execution control and the Debug Inspector C API for call stack navigation. The core component provides support that front-ends can build on. It provides breakpoint handling and bindings for stack frames among other things and it comes with an easy to use command line interface.

This dependency is up-to-date. Congrats and keep going!

Gems coveralls >= 0 0.8.21

coveralls

A Ruby implementation of the Coveralls API.

This dependency is up-to-date. Congrats and keep going!

Gems json-ld ~> 1.99 2.1.3

json-ld

JSON::LD parses and serializes JSON-LD into RDF and implements expansion, compaction and framing API interfaces.

This dependency is not matching latest version. Please consider upgrading.

Gems psych >= 0 2.2.4

psych

Psych is a YAML parser and emitter. Psych leverages libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting capabilities. In addition to wrapping libyaml, Psych also knows how to serialize and de-serialize most Ruby objects to and from the YAML format.

This dependency is up-to-date. Congrats and keep going!

Gems rake ~> 10 12.0.0

rake

Rake is a Make-like program implemented in Ruby. Tasks and dependencies are specified in standard Ruby syntax. Rake has the following features: * Rakefiles (rake's version of Makefiles) are completely defined in standard Ruby syntax. No XML files to edit. No quirky Makefile syntax to worry about (is that a tab or a space?) * Users can specify tasks with prerequisites. * Rake supports rule patterns to synthesize implicit tasks. * Flexible FileLists that act like arrays but know about manipulating file names and paths. * Supports parallel execution of tasks.

This dependency is not matching latest version. Please consider upgrading.

Gems rdf-isomorphic ~> 1.99 2.0.0

rdf-isomorphic

RDF.rb extension for graph bijections and isomorphic equivalence.

This dependency is not matching latest version. Please consider upgrading.

Gems rdf-spec ~> 1.99 2.2.0

rdf-spec

RDF.rb extension that provides RSpec matchers and shared examples for RDF objects.

This dependency is not matching latest version. Please consider upgrading.

Gems redcarpet >= 0 3.4.0

redcarpet

A fast, safe and extensible Markdown to (X)HTML parser

This dependency is up-to-date. Congrats and keep going!

Gems rspec ~> 3.2 3.6.0

rspec

BDD for Ruby

This dependency is up-to-date. Congrats and keep going!

Gems rspec-its ~> 1.0 1.2.0

rspec-its

RSpec extension gem for attribute matching

This dependency is up-to-date. Congrats and keep going!

Gems simplecov >= 0 0.14.1

simplecov

Code coverage for Ruby 1.9+ with a powerful configuration library and automatic merging of coverage across test suites

This dependency is up-to-date. Congrats and keep going!

Gems wirble >= 0 0.1.3

wirble

Handful of common Irb features, made easy.

This dependency is up-to-date. Congrats and keep going!

Gems yard ~> 0.8 0.9.9

yard

YARD is a documentation generation tool for the Ruby programming language. It enables the user to generate consistent, usable documentation that can be exported to a number of formats very easily, and also supports extending for custom Ruby constructs such as custom class level definitions.

This dependency is up-to-date. Congrats and keep going!